Bug 1124829 - [abrt] yum-updatesd: Py_FatalError(): python2.7 killed by SIGABRT
Summary: [abrt] yum-updatesd: Py_FatalError(): python2.7 killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-updatesd
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Antill
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:406e8ef3d47089e4de979782729...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 12:17 UTC by Frank Crawford
Modified: 2015-06-29 21:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:51:19 UTC


Attachments (Terms of Use)
File: backtrace (44.40 KB, text/plain)
2014-07-30 12:17 UTC, Frank Crawford
no flags Details
File: cgroup (150 bytes, text/plain)
2014-07-30 12:17 UTC, Frank Crawford
no flags Details
File: core_backtrace (888 bytes, text/plain)
2014-07-30 12:17 UTC, Frank Crawford
no flags Details
File: dso_list (9.88 KB, text/plain)
2014-07-30 12:17 UTC, Frank Crawford
no flags Details
File: environ (71 bytes, text/plain)
2014-07-30 12:17 UTC, Frank Crawford
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-30 12:17 UTC, Frank Crawford
no flags Details
File: maps (46.65 KB, text/plain)
2014-07-30 12:17 UTC, Frank Crawford
no flags Details
File: open_fds (1.17 KB, text/plain)
2014-07-30 12:17 UTC, Frank Crawford
no flags Details
File: proc_pid_status (915 bytes, text/plain)
2014-07-30 12:17 UTC, Frank Crawford
no flags Details
File: var_log_messages (384 bytes, text/plain)
2014-07-30 12:17 UTC, Frank Crawford
no flags Details

Description Frank Crawford 2014-07-30 12:17:22 UTC
Version-Release number of selected component:
yum-updatesd-0.9-15.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python -tt /usr/libexec/yum-updatesd-helper --check --dbus
crash_function: Py_FatalError
executable:     /usr/bin/python2.7
kernel:         3.14.4
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 Py_FatalError at /usr/src/debug/Python-2.7.5/Python/pythonrun.c:1697
 #3 string_dealloc at /usr/src/debug/Python-2.7.5/Objects/stringobject.c:595
 #4 tupledealloc at /usr/src/debug/Python-2.7.5/Objects/tupleobject.c:238
 #5 list_dealloc at /usr/src/debug/Python-2.7.5/Objects/listobject.c:318
 #6 dict_dealloc at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:1019
 #7 instance_dealloc at /usr/src/debug/Python-2.7.5/Objects/classobject.c:681
 #8 insertdict_by_entry at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:528
 #9 dict_set_item_by_hash_or_entry at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:774
 #10 PyDict_SetItem at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:827
 #11 _PyObject_GenericSetAttrWithDict at /usr/src/debug/Python-2.7.5/Objects/object.c:1529

Comment 1 Frank Crawford 2014-07-30 12:17:26 UTC
Created attachment 922543 [details]
File: backtrace

Comment 2 Frank Crawford 2014-07-30 12:17:27 UTC
Created attachment 922544 [details]
File: cgroup

Comment 3 Frank Crawford 2014-07-30 12:17:28 UTC
Created attachment 922545 [details]
File: core_backtrace

Comment 4 Frank Crawford 2014-07-30 12:17:30 UTC
Created attachment 922546 [details]
File: dso_list

Comment 5 Frank Crawford 2014-07-30 12:17:31 UTC
Created attachment 922547 [details]
File: environ

Comment 6 Frank Crawford 2014-07-30 12:17:32 UTC
Created attachment 922548 [details]
File: limits

Comment 7 Frank Crawford 2014-07-30 12:17:35 UTC
Created attachment 922549 [details]
File: maps

Comment 8 Frank Crawford 2014-07-30 12:17:36 UTC
Created attachment 922550 [details]
File: open_fds

Comment 9 Frank Crawford 2014-07-30 12:17:37 UTC
Created attachment 922551 [details]
File: proc_pid_status

Comment 10 Frank Crawford 2014-07-30 12:17:38 UTC
Created attachment 922552 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:31:05 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:51:19 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.